function y = get(s, varargin); % field,field1),

% GET return the current optic element OR the field.
%
% GET(s).  Return the current PRIM for the optic.
% 
% GET(s, nID). Return (nID)^th PRIM of the prescription.
%
% GET(s, strField). Return field from the optic.


if (nargin == 1),
   y = s.optic{s.current};
%   fprintf('wait.\n');
%   keyboard;
   return
elseif (nargin == 2),
    if (~isnumeric(varargin{1})), 
       strField = varargin{1};
       y = s.(strField);
       return
    else
       % numeric ID
       nID = varargin{1};
       y = s.optic{nID};
    end
elseif (nargin == 3),
    if (isnumeric(varargin{1})), 
       nID      = varargin{1};
       strField = varargin{2};
       y = get(s.optic{nID}, strField);
    else
       if (strcmp(varargin{1},'args')),
         strField = varargin{2};
         y = get(s.optic{s.current}, 'args', strField);
       else
         error('(GET) not implemented');
       end 
    end
end 
return
