function h = plot(p),

% PLOT plot the lens prescription 
%
% Example 
%
%   plot(optics, 'XZ');
%   plot(optics, 'YZ'");
% 

clf; hold on;

p = gohead(p);
while(~islast(p)),

    nPr     = get(p);
    nStr    = get(nPr, 'type');
    nAp     = get(nPr, 'aperture');
    nShift  = get(nPr, 'position');
    nOrient = get(nPr, 'orientation');
        
    % horizontal
    nR  = getRotMtx('zyx', degtorad(nOrient));  
    nY  = linspace(-nAp, nAp, 10); nX  = 0*nY;
    nZ  = feval(nStr, nX, nY, getargs(nPr));
    
    N  = nR*([ nX nY nZ ])' + nShift;
    nX = N(:,1); nY = N(:,2); nZ = N(:,3);
    line(nX, nY, nZ);
        
end

return