function myoptic = parseline(A),

if ~exist('A'),
    disp('testing...');
    A = 'ELLIPSOID pos=[0,0,0] ori=[0,0,0] abc=[-7.8,-7.8,-7.8] aper=5 refract="on" desc="Anterior Cornea"'
end

disp('YEP');



% determine spaces in quotes
ndx  = findstr(A,'"');
nlen = length(ndx);
if   nlen/2 ~= floor(nlen/2)
     error('quotes not closed');
     return
end

% fill quoted spaces with underscores record indexes
fndx = [];
for k =1:2:(length(ndx)-1),
    nstr = A(ndx(k):(ndx(k+1)));
    mndx = findstr(nstr,' ');
    if   ~isempty(mndx),
         fndx = [ fndx mndx+ndx(k)-1 ];
    end
end
A(fndx) = '_';

% determine indices for each word
ndx = findstr(A,' ');
ndx = [ ndx ; ndx(2:end) length(A) ];
ndx = ndx';
ndx = [ 1 ndx(1) ; ndx ];
nlen = size(ndx,1);

% unfill quoted spaces
A(fndx) = ' ';

% -------------------------------------------
% PARSE EACH LINE (CREATE AN OPTIC STRUCTURE) 
% -------------------------------------------

    % get the optic keyword 
    nkeyword = A(ndx(1,1):ndx(1,2));
    nkeyword = lower(alltrim(nkeyword));
    myoptic  = primitive(nkeyword);
    
    % get the parameters
    for k = 2:nlen,
        
        
        nline = alltrim(A(ndx(k,1):ndx(k,2)));
        if  (~strcmp(nline,'')),
        
            [ strkey, strparm ] = getparms(nline);
            % strkey, strparm
            
            switch(strkey),
    
                case { 'index' }
                    
                myoptic = set(myoptic,'index',strparm);
                
                case { 'pos' }
                myoptic = set(myoptic,'position',str2num(strparm));
                pause;
                
                case { 'ori' }
                myoptic = set(myoptic,'orient',str2num(strparm));
                        
                case { 'abc' }
                myoptic = set(myoptic,'abc',str2num(strparm));
                 
                % b-spline and zernike
                case { 'err_tol' }
                myoptic = set(myoptic,'err_tol',str2num(strparm));
                
                case { 'xml' }
                myoptic = set(myoptic,'xml',str2num(strparm));
                
                % toric
              
                case { 'R' }
                myoptic = set(myoptic,'R',str2num(strparm));
                                
                case { 'Q' }
                myoptic = set(myoptic,'Q',str2num(strparm));
                
                % toroid
                
                case { 'rh' }
                myoptic = set(myoptic,'rh',str2num(strparm));
                                
                case { 'rv' }
                myoptic = set(myoptic,'rv',str2num(strparm));
                
                % general
            
                case { 'sense' }
                myoptic = set(myoptic,'sense',str2num(strparm));
                                  
                
                case { 'aper' }
                myoptic = set(myoptic,'aperture',str2num(strparm));
                
                
                case { 'refract' }
                strparm = strrep(strparm,'"','');     
                myoptic = set(myoptic,'refract',strparm);
                
                
                case { 'desc' }
                strparm = strrep(strparm,'"','');     
                myoptic = set(myoptic,'desc',strparm);
                
                otherwise
                warning([ '(parseline) unknown parameter (' strkey ') ignored.' ]);
    
            end
    
        end    
    
    end

return

