function Y = split(X,str),

% SPLIT return a structure with the required
% parameters for the requested element.
% 
% optics = split(X,str),
%
% where 
%       X   = the optical 
%       str = 'first','last'
%
% 'first' take all elements prior to the current one.
% 'last' take all elements from the current to the last.

Y = optics;

switch(str)
   
    case {'first'}
        
       if (X.current == 1)
            Y = []; 
           return
       end
        
       for  k=1:(X.current),
            Y.optics{k} = X.optics{k};
       end
       
       Y.total = X.current;
       Y.current = 1;
       
    case {'last'}

       if (X.current == 1)
            Y = X;
           return
       end
       
       for  k=X.current:X.total,
            Y.optics{k-X.current+1} = X.optics{k};
       end
       
       Y.total  = X.total-X.current+1;
       Y.current = 1;
end

return
