function [p, nV0] = repo(p),

% REPO reposition the lens system so the  
% 1st element lies at the origin.  
% 
% REPO(p). Returns the origin centered lens
% prescription and the value of the shift. 
%

% initialize
p   = gohead(p);
p   = next(p);

nV0 = get( get(p), 'position');

while   (~islast(p)),
    p  = next(p);
    if (islast(p)),
        break
    end 
    
    nPr = get(p);
    nV  = get(nPr, 'position');
    nPr = set(nPr, 'position', nV-nV0);
    p   = set(p, nPr);
  
    p   = next(p);    
end

return
