function s = set(s, varargin),

% SET change the value of the current primitive OR modify the 
% current primitive.
%
% SET(s, strField, pVal).  Modify field strField of the current 
% primitive with the value pVal. 
%
% SET(s, pr). Exchange the current primitive with primitive pr. 


if (nargin == 2),        
    pr = varargin{1};
    if (isa(pr,'prim')),
        s.optic{s.current} = pr;    % set the current to this primitive 
    else
        error('(SET) Replace with PRIM only');
    end
    return
elseif (nargin == 3),
    strField = varargin{1}; % requested field
    pVal     = varargin{2}; % requested value 
    s.optic{s.current} = set(s.optic{s.current}, strField, pVal); 
elseif (nargin == 4)&(strcmp(varargin{1},'args')),
    strField = varargin{2}; % requested field
    pVal     = varargin{3}; % requested value 
    s.optic{s.current} = set(s.optic{s.current}, strField, pVal); 
else 
    error('(SET) Unknown invocation.');
end
return
