function h = draw(m, varargin),

% DRAW.M draw the primitive specified in the argument 
%
%   h = draw(p, varargin),
%
% where 
%       p = primitive 
%

% note :
% added 26/4/06 


if (nargin < 2),
    strview = 'xz-plane';
end


pts = 20;
rap = m.aperture;
x0  = linspace(-rap,rap,pts);

%        nposn  = [ strvec(myelement.position(1)) ' ' strvec(myelement.position(2)) ' ' strvec(myelement.position(3)) ];
%        nori   = [ strvec(myelement.orient(1)) ' '  strvec(myelement.orient(2)) ' '  strvec(myelement.orient(3)) ];
%        naper  = strvec(myelement.aperture);

   

switch(strview),
    
    case 'xz-plane',
        z   = getpts(m, x0, 0);
        ang = m.orient(2);
        
        
    case 'yz-plane'
        z   = getpts(m, 0, x0);
        ang = m.orient(1);    
        
    otherwise,

        % default behaviour 'xz-plane'
        z = getpts(m, x0, 0);
       
end 


ang

% get the points on the surface 
z          = [ x0(:) z(:) ];

% rotate amd shift 

z0  = z;

z           = m_rotate2d(z, ang);




switch(strview),
    
    case 'xz-plane',
        z(:, 1) = z(:, 1) + m.position(1);
        z(:, 2) = z(:, 2) + m.position(3);         
        
        
    case 'yz-plane'
        z(:, 1) = z(:, 1) + m.position(2);
        z(:, 2) = z(:, 2) + m.position(3);         

                
    otherwise,

        % default behaviour 'xz-plane'
        z(:, 1) = z(:, 1) + m.position(1);
        z(:, 2) = z(:, 2) + m.position(3);              
       
end 


% plot it out 
h = line(z(:,1), z(:,2));
hold on; 
h = line(z0(:,1), z0(:,2));


return 



function z= getpts(m, x, y), 

        switch(lower(m.type))

         case { 'sphere' } 
              z = sphere(x, y, m.abc(1));
                       
          case 'conic',
                z = conic(x, y, m.R, m.CC);
                            
         % added 12/12/05
         case 'toric',
                z = toric(x, y, m.rh, m.rv);
           
         case 'plane',
             
                % do a plane 
                z = 0*x; 
                
          
         otherwise

                disp([ 'draw : ' ntype ' not implemented.' ]);

    end

        
return
