function [s, l] = trans(s, z),

% TRANS shift the rays to position z along the axis.
% 
% [s,l] = TRANS(s, z). Shift rays to position z along the axis. 
%  

% 24/11 update OPL added
% 20/12 reduce OPL if translation is opposite to ray dirn.  

dz = z - s.posn(:,3);  % shift amount to get to z 

% z-normalized
n  = s.slope(:,3);
m  = s.slope(:,1:3)./[n n n];

l       = m.*dz(:,ones([1 3]));
s.posn  = l + s.posn;  

% update OPL
s.OPL   = sign(n.*dz).*vec_norm(l)*s.index + s.OPL;

return
