function s =  translate(s, z),

% TRANSLATE shift the rays to position z along the axis.
% 
%   [s,l] =  translate(s, z)
% 
% where 
%       s = rays object new position 
%       z = z-position of object
%
% z can be a column vector of positions

% 24/11 update OPL added
% 20/12 reduce OPL if translation is opposite to ray dirn.  

dz = z - s.posn(:,3);  % shift amount to get to z 

n  = s.slope(:,3);
m  = s.slope(:,1:3)./[n n n];

l       = m.*dz(:,ones([1 3]));
s.posn  = l + s.posn;  

% update OPL
s.OPL   = sign(n.*dz).*vec_norm(l)*s.index + s.OPL;

return
