function x = convert(varargin),

% RAYS class name for the class 
%
% obj = rays() % empty rays structure  
% obj = rays(source, target, dx, nrays) % grid of  
% obj = rays(source, target, type) 
% obj = rays(source, target, type) 
%

if nargin == 0
   
    % return a basic empty ray object 
    s.posn  = [];
    s.slope = [];
    return
    
elseif isa(varargin{1},'rays'),
    
    s       = varargin{1};
    x.posn  = s.posn;
    x.slope = s.slope;
    
end


return

% M_GRIDSOURCE internal function
%
%

function [x,s] = m_gridsource(T,S,boxside,nrays),

  % generate PSFs
  grid.type = 'square';
  tgrid = getgrid(nrays, boxside, grid, T);  
  tray  = getray(S, tgrid, 'source');
  
  x = tray(:,1:3);
  s = tray(:,4:6);

return
