function [s, l] = trans(s, z),

% TRANS shift the rays to position z along the axis.
% 
% TRANS(s, z). Shift rays to position z along the optical axis. 
% Returns a ray object with shifted details. 

% 24/11 update OPL added
% 20/12 reduce OPL if translation is opposite to ray dirn.  

dz = z - s.position(:,3);  % shift amount to get to z 

% z-normalized
n  = s.slope(:,3);
m  = s.slope(:,1:3)./[n n n];
l  = m.*dz(:,ones([1 3]));
s.position  = l + s.position;  

% update OPL
s.OPL   = sign(n.*dz).*vnorm(l)*s.index + s.OPL;

return
