% DEMO1 Demonstrate some analysis tools used in raytrace
% 


close all;
clear all;
clc; home;

fprintf('load and display (a text version) of an eye (navarro) :\n\n');
fprintf('x = eye_navarro;\n');
fprintf('print(x);\n\n');
disp('press a key to execute ...');
pause;

fprintf('\n');

x = eye_navarro;
print(x);

fprintf('\n\nPress a key to continue.\n');
pause;

clc; home; 

fprintf('Display a graphical version :\n\n');
fprintf('plot_lens(x);\n');
fprintf('plot_ray(x, 4);\n\n');
fprintf('press a key to execute ...');
pause;

fprintf('\n');

figure(1);
plot_lens(x); plot_ray(x, 4);

fprintf('\n\nPress a key to continue.\n');
pause;

clc;
home;

fprintf('determine the cardinal points :\n\n');
fprintf('>> y = parax(x)\n');
y = parax(x)

fprintf('\n\npress any key to continue.\n');
pause;

clc;
home;

fprintf('Determine the entrance/exit pupils : \n');
fprintf('(using surface 6 as the aperture stop.)\n');
fprintf('\n\n');
fprintf('>> [z0, y0] = getPupil(x, 6, ''entr'')\n\n');
[z0, y0] = getPupil(x, 6, 'entr')

fprintf('>> [z0, y0] = getPupil(x, 6, ''exit'')\n\n');
[z0, y0] = getPupil(x, 6, 'exit')


fprintf('\n\n note : 1.(z0, y0) are (axial, height) co-ordinates.\n');
fprintf('          2. y0 == 0 if aperture is infinite (inf).\n'); 
fprintf('\n\n press any key to continue...');
pause;

clc;
home;

fprintf('Determine the pupil function using PFN :\n\n');
fprintf('place source at 6m to the left of the eye\n');
fprintf('cast a 64 x 64 beam of rays (2 mm radius at\n');
fprintf('the origin).\n\n'); 
fprintf('z   = pfn(x, -6000, 64, 2, z0, 0.5893e-3);\n\n');
[w, pupil]  = pfn(x, -6000, 64, 2, z0, 0.5893e-3);

fprintf('\n\nNow display the pupil function :'); 
fprintf('\n\n');
fprintf('figure(2);\n');
fprintf('plot_pfn(w, pupil);\n');
figure(2);
plot_pfn(w, pupil);

fprintf('\n\nPress a key to finish.\n');
pause;
close all;