function f = test_golden(x, phi, varargin),

% TEST_GOLDEN 
%
% f = TEST_GOLDEN(x, phi, varargin). Test the golden section method 
% i.e., vgolden.
%
% 
% Example,
%
% Implement a very simple parabolic example. 
%   f = (x-phi(:,1)).^2 + phi(:,2);
%
% [x, f] = vgolden('test_golden',[-10000 -10]',[20000 10]',1e-8,[1 2 ; 3 4 ])
% 
   f = (x-phi(:,1)).^2 + phi(:,2);
return