function [m_nPos, m_j] = trace_sphere(nPos, nSlope, nAp, R)

% TRACE_SPHERE intersect an origin centered spherical surface
% with a ray (nPos, nSlope). 
%
% TRACE_SPHERE(nPos, nSlope, nAp, R).  Here nPos is the position,
% nSlope is the ray slope, nAp is the aperture and R is the radius  
% of curvature. The intersection point is returned as well as an index 
% into the rays that are remaining.
% 
% NOTE : 
%   calls TRACE_CONIC setting CV=1/R, CC=0
% 


if (nargin == 1),
    if (strcmp(nPos, 'type')),
        m_nPos = 'analytic'; m_j = [];
        return
    end
    error('(TRACE_SPHERE) Error in invocation.');
end

[m_nPos, m_j] = trace_conic(nPos, nSlope, nAp, 1/R, 0);
return 
