function x = eye_full_legrand_accom,

% EYE_FULL_LEGRAND_ACCOM. Le Grand full theoretical eye : accommodated
%
%   #   n       r       d       p       description
%
%       1.0000                          air
%   1           7.800                   
%       1.3771          0.5500  0.5500  cornea
%   2           6.500                   
%       1.3374          2.6500  3.2000  aqueous
%   3           6.000
%       1.4270          4.5000  7.7000  lens
%   4           -5.500
%       1.3360                          vitreous
%
%
% OBTAINED FROM : 
%
%  Appendix 3 - Schematic Eyes  
%  Le Grand : Simplified relaxed. (p. 785)
%  The Eye and Visual Optical Instruments
%  Smith, G. and Atchison, D.A., 
%  Cambridge University Press, 1997.

  x = optic;
  x = addon(x, 'index', 'air', 1); 
  x = addon(x, 'sphere', 'anterior cornea', 'refract', [0 0 0], [0 0 0], 7.8, 7.8); 
  x = addon(x, 'index', 'cornea', 1.3771); 
  x = addon(x, 'sphere','posterior cornea','refract',[0 0 0.55],[0 0 0], 6.5, 6.5);
  x = addon(x, 'index', 'aqueous', 1.3374);
  x = addon(x, 'sphere', 'anterior lens', 'refract', [0 0 3.2], [0 0 0], 6.0, 6.0);   
  x = addon(x, 'index', 'lens', 1.4270);
  x = addon(x, 'sphere', 'posterior lens', 'refract', [0 0 7.7], [0 0 0], 5.5, -5.5);   
  x = addon(x, 'index', 'vitreous', 1.3360);
  x = addon(x, 'img', 'image', 'refract',[0 0 21.932], [0 0 0],inf);
  x = gohead(x); 

return