function x = eye_full_legrand_relaxed,

% EYE_FULL_LEGRAND_RELAXED. Le Grand full theoretical eye : Relaxed
%
%   
%   #   n       r       d       p       description
%
%       1.0000                          air
%   1           7.800                   
%       1.3771          0.5500  0.5500  cornea
%   2           6.500                   
%       1.3374          3.0500  3.6000  aqueous
%   3           10.200
%       1.4200          4.0000  7.6000  lens
%   4           -6.000
%       1.3360                          vitreous
%
%
% OBTAINED FROM : 
%
%  Appendix 3 - Schematic Eyes  
%  Le Grand : Simplified relaxed. (p. 784)
%  The Eye and Visual Optical Instruments
%  Smith, G. and Atchison, D.A., 
%  Cambridge University Press, 1997.


  x = optic;
  x = addon(x, 'index','air',1); 
  x = addon(x, 'sphere', 'anterior cornea', 'refract', [0 0 0], [0 0 0], 7.8, 7.8); 
  x = addon(x, 'index','cornea',1.3771); 
  x = addon(x, 'sphere','posterior cornea','refract',[0 0 0.55],[0 0 0],6.5,6.5);
  x = addon(x, 'index','aqueous',1.3374);
  x = addon(x, 'sphere', 'anterior lens', 'refract', [0 0 3.6], [0 0 0], 10.2, 10.2);   
  x = addon(x, 'index','lens',1.4200);
  x = addon(x, 'sphere', 'posterior lens', 'refract', [0 0 7.6], [0 0 0], 6, -6);   
  x = addon(x, 'index','vitreous',1.336);
  x = addon(x, 'img','image','refract',[0 0 24.197], [0 0 0],inf);
  x = gohead(x); 

return