function x = eye_simplified_legrand_accom, 

% EYE_SIMPLIFIED_LEGRAND_ACCOM
%
%   
%   #   n       r       d       p       description
%
%       1.0000                          
%   1           8.000                   
%       1.3360          3.2000  3.2000  aqueous
%   2           0.000                   
%       1.3360          2.5800  5.7800  aqueous
%   3           6.000
%       1.4260          0.0000  5.7800  lens
%   4           -5.500
%       1.3360                          vitreous
%
%
% OBTAINED FROM : 
%
%  Appendix 3 - Schematic Eyes  
%  Le Grand : Simplified relaxed. (p. 786)
%  The Eye and Visual Optical Instruments
%  Smith, G. and Atchison, D.A., 
%  Cambridge University Press, 1997.

  x = optic;
  x = addon(x, 'index','air',1); 
  x = addon(x, 'sphere', 'anterior cornea', 'refract', [0 0 0], [0 0 0], 8.000, 8.000); 
  x = addon(x, 'index','cornea',1.3360); 
  x = addon(x, 'sphere','posterior cornea','refract',[0 0 0.55],[0 0 0],6.5,6.5);
  x = addon(x, 'index','aqueous',1.3374);
  x = addon(x, 'sphere', 'anterior lens', 'refract', [0 0 3.6], [0 0 0], 10.2, 10.2);   
  x = addon(x, 'index','lens',1.42);
  x = addon(x, 'sphere', 'posterior lens', 'refract', [0 0 7.6], [0 0 0], 6, -6);   
  x = addon(x, 'index','vitreous',1.336);
  x = addon(x, 'img','image','refract',[0 0 24.1], [0 0 0],inf);
  x = gohead(x); 

return

function X = addon(X, varargin),
    X = append(X,prim(varargin{:}));
return