function x = eye_simplified_legrand_relaxed,

% EYE_SIMPLIFIED_LEGRAND_RELAXED
%
%   
%   #   n       r       d       p       description
%
%       1.0000                          air
%   1           8.000                   
%       1.3360          3.6000  3.6000  aqueous
%   2           0.000                   
%       1.3360          2.7700  6.3700  aqueous
%   3           10.200
%       1.4208          0.0000  6.3700  lens
%   4           8.000
%       1.3360                          vitreous
%
%
% OBTAINED FROM : 
%
%  Appendix 3 - Schematic Eyes  
%  Le Grand : Simplified relaxed. (p. 786)
%  The Eye and Visual Optical Instruments
%  Smith, G. and Atchison, D.A., 
%  Cambridge University Press, 1997.
%

  x = optic;
  x = addon(x, 'index','air',1); 
  x = addon(x, 'sphere', 'anterior cornea', 'refract', [0 0 0], [0 0 0], 7.8, 7.8); 
  x = addon(x, 'index','cornea',1.3771); 
  x = addon(x, 'sphere','posterior cornea','refract',[0 0 0.55],[0 0 0],6.5,6.5);
  x = addon(x, 'index','aqueous',1.3374);
  x = addon(x, 'pupil','pupil','refract',[0 0 3.6],[0 0 0],inf);
  x = addon(x, 'index','aqueous',1.3374);
  x = addon(x, 'sphere', 'anterior lens', 'refract', [0 0 3.6], [0 0 0], 10.2, 10.2);   
  x = addon(x, 'index','lens',1.42);
  x = addon(x, 'sphere', 'posterior lens', 'refract', [0 0 7.6], [0 0 0], 6, -6);   
  x = addon(x, 'index','vitreous',1.336);
  x = addon(x, 'img','image','refract',[0 0 24.1], [0 0 0],inf);
  x = gohead(x); 

return

function X = addon(X, varargin),
    X = append(X,prim(varargin{:}));
return