function [w, pupil] = pfnComa(N,k),
%
% PFNCOMA Pupil function for Coma 
%
% PFNCOMA(N,k). Here N is the grid size and the aperture will be 
% 1/k of the total grid.
%
% Taken from :
% http://www.engr.udayton.edu/faculty/jloomis/eop601/matlab/psf/fft_psf.html
% last accessed : Feb 2007

if (nargin == 0),
    N = 256;
    k = 2;
end 

[pupil,x, rsq] = make_pupil(N, 2*k);
rmax = N/(4*k);
w = (rsq-1.5) .* x';
return

