function plot_pfn(w, pupil, varargin),

% PLOT_PFN Graph the pupil function. 
%
% PLOT_PFN(w, pupil).  Display a pupil function using the wavefront (w) 
% and the mask (pupil). 
%
% Example,
%   [w, pupil] = pfnAiry(128,1);
%   plot_pfn(w, pupil);

clf;

% add the mask 
w(pupil == 0) = nan;

imagesc(w); 
colormap('jet');
% colorbar('EastOutside');

w = w(pupil > 0);
nMax = max(w); nMin = min(w); 
nPV = nMax-nMin; nRMSOPD = std(w);

strF = 'MIN. = %4.6f / MAX. = %4.6f / P-V ERR. = %4.6f / RMS-OPD = %4.6f\n';
str = sprintf(strF, nMin, nMax, nPV, nRMSOPD);
xlabel(str);
return


