function plot_psf(p, varargin),

% PLOT_PSF Show a 2-D representation of the PSF 
% Adapted from code by Prof. John Loomis. 
%
% PLOT_PSF(x, y, p)
%
% Examples, 
%
% Recreate images determined by John Loomis, 
%
% Coma example :
%
%  [w, pupil] = pfnComa(256, 2);
%  z = pfn2psf(5.0*w, pupil);
%  plot_psf(10*z);
%
% Airy example :
%
%  [w, pupil] = pfnAiry(128, 8);
%  z = pfn2psf(w, pupil);
%  plot_psf(log_image(z, 5));
%

mesh(p);

if (nargin == 1),
    return
end 


strTitle = getProperty('Title',varargin,[]);
if (~isempty(strTitle)),
    title(strTitle);
    return
end


return 

function  out = log_image(in, decades)
%
%  out = log_image(in, decades)
%

out = 1+log10(in)/decades;
out = out.*(out>0.0);

return